Bug 1086269 - GCC49
Summary: GCC49
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact:
Bara Ancincova
URL:
Whiteboard: ChangeAcceptedF21 SystemWideChange
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-10 13:45 UTC by Jaroslav Reznik
Modified: 2014-12-08 15:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
<title>GCC 4.9.x</title> <para>The GNU Compiler Collection (GCC) has been upgraded to version 4.9.x, and all Fedora packages have been rebuilt with this new version of GCC.</para> <para>The update provides a large number of bug fixes and enhancements. The notable newly supported features and changes are listed below:</para> <itemizedlist> <listitem> <para> ISO C11 support is largely complete <para> </listitem> <listitem> <para> partial support for C++14 <para> </listitem> <listitem> <para> C++11 support for regular expressions <para> </listitem> <listitem> <para> the OpenMP 4.0 standard <para> </listitem> <listitem> <para> the Undefined Behavior Sanitizer (UBSAN) <para> </listitem> <listitem> <para> the Cilk Plus extension </para> </listitem> <itemizedlist> <para>For detailed information about all changes, see the <ulink url="https://gcc.gnu.org/gcc-4.9/changes.html">GCC 4.9 Release Notes</ulink>.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-08 15:22:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bancinco: fedora_requires_release_note+


Attachments (Terms of Use)

Description Jaroslav Reznik 2014-04-10 13:45:55 UTC
This is a tracking bug for Change: GCC49
For more details, see: http://fedoraproject.org//wiki/Changes/GCC49

Switch GCC in Fedora 21 to 4.9.x, rebuild all packages with it.

Comment 1 Jaroslav Reznik 2014-07-04 10:43:35 UTC
This message is a reminder that Fedora 21 Accepted Changes Freeze Deadline is on 2014-07-08 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Freeze.

This bug should be set to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/21/Schedule

Comment 2 Gianfranco 2014-07-29 07:52:05 UTC
Hi Fedora people, prior to adopt gcc-4.9 by default please be aware of this kernel bug you might introduce
http://lkml.iu.edu//hypermail/linux/kernel/1407.3/00650.html

seems that Linus Torvalds wants distros to keep 4.8 a little bit more.

Comment 3 Marek Polacek 2014-07-29 08:04:34 UTC
The bug has been fixed.  I don't believe we have a compelling reason not to switch to 4.9 at this point.

Comment 4 Bara Ancincova 2014-08-20 21:54:56 UTC
Ahoj Jakube, 

could you please take a look at https://fedoraproject.org/wiki/Documentation_Development_GCC_Tools_Beat#GCC_4.9.x and let me know, if the release note is sufficient or what should I change/add/remove?

Thank you, 

Bara

Comment 5 Bara Ancincova 2014-09-01 11:54:40 UTC
Ahoj Marku,

I cannot reach Jakub, could you please review the changes in the comment 4? 

Thank you, 

Bara

Comment 6 Marek Polacek 2014-09-01 14:29:28 UTC
(In reply to Barbora Ancincova from comment #5)
> Ahoj Marku,
> 
> I cannot reach Jakub, could you please review the changes in the comment 4? 

Looks good to me, though I'd maybe say something about C11 support, so e.g. "ISO C11 support is largely complete".  I'd also mention support for Cilk Plus.
(If anyone wants to read more about the new features, the page contains a link to the official 4.9 changes page.)

Comment 7 Jakub Jelinek 2014-09-03 08:29:45 UTC
Cilk+ is not a C++11 extension, but extension to C/C++/ObjC/ObjC++ (any version thereof).

Comment 8 Bara Ancincova 2014-09-03 08:42:38 UTC
(In reply to Jakub Jelinek from comment #7)
> Cilk+ is not a C++11 extension, but extension to C/C++/ObjC/ObjC++ (any
> version thereof).

Fixed, thank you Jakub

Comment 9 Jaroslav Reznik 2014-10-07 12:23:41 UTC
This message is a reminder that Fedora 21 Change Checkpoint: 100% Code Complete Deadline (Former Accepted Changes 100% Complete) is on 2014-10-14 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Change Deadline is a point of contingency plan. All incompleted Changes will be reported to FESCo on 2014-10-15 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/21/Schedule


Note You need to log in before you can comment on or make changes to this bug.